Package com.emc.documentum.rest.model

# Class ContentfulObject

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.PersistentObject
com.emc.documentum.rest.model.SysObject
com.emc.documentum.rest.model.ContentfulObject

All Implemented Interfaces:
  `com.emc.documentum.rest.conditional.Digestible`, `Linkable`

Direct Known Subclasses:
  `DocumentObject`

public class ContentfulObject extends SysObject
A contentful sysobject

- ## Field Summary

  ### Fields inherited from class com.emc.documentum.rest.model.SysObject

  `DEFAULT_FIELDS, INTERNAL_FIELDS, MANDATORY_FIELDS, OPTIONAL_FIELDS`

  ### Fields inherited from class com.emc.documentum.rest.model.PersistentObject

  `id, isLightweight, isMaterialized, isSnapshot, isVirtual, mandatoryAttributes, optionalAttributes, parentId, permissions, properties, reqDigest, type, typeDef, versionPolicy`

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContentfulObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ContentAttribute>`
  `getContentAttributes()`
  `List<ContentDataSource>`
  `getContents()`
  Deprecated.
  use `nextContent()` or `setParts(Iterator)` instead
  `String`
  `getDfcFormat()`
  `boolean`
  `hasContent()`
  `boolean`
  `hasContentAttributes()`
  `boolean`
  `isContentOnly()`
  `ContentDataSource`
  `nextContent()`
  `void`
  `setCharsets(Iterator<String> charsets)`
  `void`
  `setContentAttributes(List<ContentAttribute> contentAttributes)`
  `void`
  `setContentLengths(Iterator<Long> sizes)`
  `void`
  `setContentOnly(boolean contentOnly)`
  `void`
  `setDfcFormat(String dfcFormat)`
  `void`
  `setFormats(Iterator<String> formats)`
  `void`
  `setModifiers(Iterator<String> modifiers)`
  `void`
  `setParts(Iterator<? extends jakarta.servlet.http.Part> parts)`
  `void`
  `setSize(int size)`
  `int`
  `size()`

  ### Methods inherited from class com.emc.documentum.rest.model.SysObject

  `addDcWriteUrl, getBindingLabel, getDcWriteUrls, getHref, getInternalFields, getMandatoryFields, getObjectAspects, getObjectLifecycle, getOptionalFields, getSharingParent, isDeepCopy, isIncludeBroken, isReplicateVdChildren, isRetainAcl, setBindingLabel, setDeepCopy, setHref, setIncludeBroken, setObjectAspects, setObjectLifecycle, setReplicateVdChildren, setRetainAcl, setSharingParent`

  ### Methods inherited from class com.emc.documentum.rest.model.PersistentObject

  `addAttribute, addMandatoryAttribute, addOptionalAttribute, calculatesDigest, convertDate, geOptionalAttribute, getAttributeByName, getAttributes, getId, getMandatoryAttribute, getParentId, getPermissions, getReqDigest, getType, getTypeDef, getVersionPolicy, hasAttribute, hasAttributeValue, hasOptionalAttribute, isLightweight, isMatchedWithReqDigest, isMaterialized, isSnapshot, isVirtualDocument, reInitAttributes, removeAttributeIfExisted, setId, setIsSnapshot, setIsVirtualDocument, setLightweight, setMaterialized, setParentId, setPermissions, setReqDigest, setType, setTypeDef, setVersionPolicy, toString`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContentfulObject

    public ContentfulObject()

- ## Method Details

  - ### getContents

    @Deprecated public List<ContentDataSource> getContents()
    Deprecated.
    use `nextContent()` or `setParts(Iterator)` instead
    Return the content list of the object Only the first element is valid
    Returns:
      the content list of the object

  - ### setParts

    public void setParts(Iterator<? extends jakarta.servlet.http.Part> parts)

  - ### setSize

    public void setSize(int size)

  - ### setFormats

    public void setFormats(Iterator<String> formats)

  - ### setContentLengths

    public void setContentLengths(Iterator<Long> sizes)

  - ### setCharsets

    public void setCharsets(Iterator<String> charsets)

  - ### setModifiers

    public void setModifiers(Iterator<String> modifiers)

  - ### hasContent

    public boolean hasContent()
    Returns:
      whether the object has content

  - ### hasContentAttributes

    public boolean hasContentAttributes()

  - ### size

    public int size()
    Returns:
      the content count

  - ### nextContent

    public ContentDataSource nextContent()
    Returns:
      the next ContentDataSource

  - ### getDfcFormat

    public String getDfcFormat()
    Returns:
      the calculated dfc format for the content

  - ### setDfcFormat

    public void setDfcFormat(String dfcFormat)

  - ### setContentOnly

    public void setContentOnly(boolean contentOnly)

  - ### isContentOnly

    public boolean isContentOnly()

  - ### getContentAttributes

    public List<ContentAttribute> getContentAttributes()

  - ### setContentAttributes

    public void setContentAttributes(List<ContentAttribute> contentAttributes)